/*
Example Using the HTML Form Library

1. Compile and run this project to see an HTML form in action.

2. Then take a look at the following DM code to see how you can
   make it happen.

For the full documentation on htmllib, read the documenation that
comes with the library.

*/

#include <dantom/htmllib>

world
	maxx = 10
	maxy = 10

//To create a new type of form, derive it from /Form
Form/Example
	form_reusable = 0   //this is the default; a value of 1 allows multiple submissions

	//New variables that you define become input elements on the form.
	var
		name
		name_size = 30   //specifies the number of characters to display

		description
		description_size = 60

		race
		race_values = list("human","ogre","jellyfish")

		gender
		gender_1 = "male"     //radio values
		gender_2 = "female"
		gender_3 = "neuter"

		icon
		icon_interface = PROMPT_FOR_ICON


	//This is called when the user submits the form.
	ProcessForm()
		usr.name = name
		usr.desc = description
		usr.race = race
		usr.gender = gender
		usr.icon = icon
		usr << browse("Thankyou for registering your preferences.")


	//The form layout is defined here.  The default layout is not
	//too different from this example, so if all you want is a
	//simple layout, you can just let the default handler work
	//for you.

	HtmlLayout()
		return \
{"

Name:        [name] <br>
Description: [description] <br>
Race:        [race] <br>
Gender:           <br>
[gender_1] male   <br>
[gender_2] female <br>
[gender_3] neuter <br>
Icon: [icon]      <br>

[submit]
"}


mob/var
	race

mob/Login()
	//First we create an instance of the form.
	var/Form/Example/frm = new()

	//Then we initialize its variables.
	frm.name = name
	frm.description = desc
	frm.gender = gender
	frm.race = race
	frm.icon = icon

	//Then we display it.
	frm.DisplayForm()

	return ..()
